# Laziness
%define _disable_ld_no_undefined 1

# Majors
%define major 1

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

Summary: WebRTC Audio Processing Library
Name: webrtc-audio-processing
Version: 0.3.1
Release: %mkrel 2
Source0: http://freedesktop.org/software/pulseaudio/%{name}/%{name}-%{version}.tar.xz
Patch0: webrtc-fix-typedefs-on-other-arches.patch
License: Distributable
Group: System/Libraries
Url: http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/

%description
Packaging friendly copy of the AudioProcessing module from the WebRTC project.
See http://code.google.com/p/webrtc/ for more details

%package -n %{libname}
Summary: WebRTC Audio Processing Library
Group: System/Libraries

%description -n %{libname}
WebRTC Audio Processing Library

%package -n %{libname_devel}
Summary: Development files for WebRTC Audio Processing Library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Development files for WebRTC Audio Processing Library

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
%configure --disable-static \
%ifarch armv7hl
               --disable-neon \
%endif

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libwebrtc_audio_processing.so.%{major}
%{_libdir}/libwebrtc_audio_processing.so.%{major}.*

%files -n %{libname_devel}
%doc README* COPYING
%{_includedir}/webrtc_audio_processing/
%{_libdir}/libwebrtc_audio_processing.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3.1-2.mga8
+ Revision: 1521690
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%apply_patches

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.3.1-1.mga7
+ Revision: 1346458
- 0.3.1

* Tue Dec 11 2018 pterjan <pterjan> 0.3-3.mga7
+ Revision: 1340324
- Disable neon on armv7hl
- Replace patch with a better one from Fedora

* Sun Sep 23 2018 umeabot <umeabot> 0.3-2.mga7
+ Revision: 1301660
- Mageia 7 Mass Rebuild

* Mon Jun 27 2016 pterjan <pterjan> 0.3-1.mga6
+ Revision: 1037768
- 0.3 (build fixes)

* Wed May 11 2016 luigiwalser <luigiwalser> 0.2-2.mga6
+ Revision: 1013677
- add -msse2 to compiler flags to fix build on i586
- add patch from debian to fix build on newer gcc
- 0.2
- library major is now 1

* Tue Feb 02 2016 umeabot <umeabot> 0.1-5.mga6
+ Revision: 932578
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-4.mga5
+ Revision: 748492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-3.mga5
+ Revision: 690289
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 0.1-2.mga5
+ Revision: 638706
- rebuild for mga5

* Wed Jul 25 2012 colin <colin> 0.1-1.mga3
+ Revision: 274202
- imported package webrtc-audio-processing

